// テキストファイル内の文字を連続配置し1つのPSDファイルとして保存する
(function(){
	var psdFile = File.openDialog("基本となるPSDファイルを選択してください","*.psd");
	if (!psdFile){ return; }	// キャンセルされたら何もしない
	var textFile =  File.openDialog("配置するテキストファイルを選択してください","*.txt");
	if (!textFile){ return; }	// キャンセルされたら何もしない
	var saveFile =  File.saveDialog("保存するPSDファイル名を入力してください");
	if (!saveFile){ return; }	// キャンセルされたら何もしない
	var maxSize = 720;	// 最大ピクセル数
	//　PSD形式保存オプション
	psdOpt = new PhotoshopSaveOptions();
	psdOpt.alphaChannels = true;
	psdOpt.annotations = true;
	psdOpt.embedColorProfile = true;
	psdOpt.layers = true;
	psdOpt.spotColors = true;
	var flag = textFile.open("r");
	if (!flag){
		alert("ファイルが読み込めません");
		return;
	}
	app.open(psdFile);
	var s = (new Date()).getTime();
	while(!textFile.eof){
		var text = textFile.readln();	// 1行読み込む
		var layObj = app.activeDocument.layers[0];	// 一番上のレイヤーを複製
		layObj.textItem.contents = text;
		var x1 = layObj.bounds[0].value;
		var x2 = layObj.bounds[2].value;
		var d = x2 - x1;
		if (d >= maxSize){	// オーバーフローしている
			$.writeln("d="+maxSize / d);
			layObj.textItem.horizontalScale = 100 * (maxSize / d);
		}
		layObj.duplicate();
	}
	layObj.remove();
	var e = (new Date()).getTime();
	$.writeln((e-s)/1000+"秒かかりました");
	activeDocument.saveAs(saveFile, psdOpt, true, Extension.LOWERCASE);
	activeDocument.close(SaveOptions.DONOTSAVECHANGES);
})();
